g.download.location(1)

NAME
g.download.location - Download GRASS Location from the web
Get GRASS Location from an URL or file path

KEYWORDS
general, data, download, import

SYNOPSIS
g.download.location
g.download.location --help
g.download.location url=string [name=name] [path=path] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

url=string [required]
    URL of the archive with a location to be downloaded
    URL of ZIP, TAR.GZ, or other similar archive

name=name
    Location name
    Location name (not location path)

path=path
    GRASS GIS database directory
    Default: path to the current GRASS GIS database

DESCRIPTION
g.download.location downloads an archived (e.g., .zip or .tar.gz) location from a given URL and unpacks it to a specified or current GRASS GIS Spatial Database. URL can be also a local file on the disk. If the archive contains a directory which contains a location, the module will recognize that and use the location automatically. First directory which is a location is used. Other locations or any other files are ignored.

SEE ALSO
g.mapset, g.mapsets, r.proj, v.proj, g.proj.all

AUTHOR
Vaclav Petras, NCSU GeoForAll Lab

SOURCE CODE

Available at: g.download.location source code (history)

Latest change: Monday Feb 27 13:45:25 2023 in commit: a82501dc85294207e8e58437c3ec7f1056465ed4

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.3.3dev Reference Manual